Summary:	File manager extension for customizing the context menu
Name:		filemanager-actions
Version:	3.4
Release:	3%{?dist}
Group:		User Interface/Desktops
License:	GPLv2+
URL:		https://github.com/GNOME/filemanager-actions
Source:		http://www.nautilus-actions.org/downloads/%{name}-%{version}.tar.xz
Obsoletes:	nautilus-actions 	
BuildRequires:  fdupes 
BuildRequires:	desktop-file-utils
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libnautilus-extension)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sm) >= 1.0
BuildRequires:  pkgconfig(unique-3.0)
BuildRequires:  pkgconfig(uuid)
Requires:       nautilus
Provides:	%{name} = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
Filemanager actions is an extension for Nautilus, the GNOME file manager.
It provides an easy way to configure programs to be launch on files 
selected in Nautilus interface

%package	devel
Summary:	Development tools for the %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains headers and shared libraries needed for development
with %{name}.

%package docs
Summary:	Documentations for %{name}
Group:		Documentation
BuildArch:      noarch

%description docs
This package contains the documentation for %{name}

%prep
%setup -q

%build
# Note: --disable-schemas-install fully removes installation of
# schemas; however, since settings are not stored in gconf anymore,
# it doesn't matter

%configure \
        --disable-schemas-install \
        --disable-scrollkeeper
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
desktop-file-edit --set-icon=filemanager-actions %{buildroot}/%{_datadir}/applications/fma*.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/fma*.desktop
# Remove doc files that either aren't needed (html/pdf docs,
# uninteresting files) or that we ship in another way (as %%doc)
for file in AUTHORS ChangeLog* COPYING COPYING-DOCS \
  INSTALL MAINTAINERS NEWS objects-hierarchy.odg README \
  README-GCONF TODO; do
  rm %{buildroot}%{_datadir}/doc/%{name}-%{version}/$file
done
for dir in html; do
  rm -r %{buildroot}%{_datadir}/doc/%{name}-%{version}/$dir
done

# Standard packaging
%fdupes %{buildroot}%{_datadir}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/fma-config-tool
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_libdir}/nautilus/extensions-3.0/libfma-nautilus-menu.so
%{_libdir}/nautilus/extensions-3.0/libfma-nautilus-tracker.so
%{_datadir}/%{name}/
%{_datadir}/fma-config-tool/
%{_datadir}/icons/hicolor/*/apps/filemanager-actions.*
%{_datadir}/applications/fma*.desktop


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/

%files docs
%defattr(-,root,root,-)
%{_datadir}/gnome/help/fma-config-tool/
%{_datadir}/gtk-doc/html/%{name}-3/
%{_datadir}/omf/fma-config-tool/

%changelog
* Thu Oct 19 2017 Juan Burgos <jabl@ubu.es> 3.4-1
- New version and new name.


* Wed May 18 2016 David Vásquez <davidjeremias82 AT gmail DOT com> - 3.2.4-2
- Upstream

* Sun Aug 10 2014 Kalev Lember <kalevlember@gmail.com> - 3.2.4-1
- Update to 3.2.4

* Tue Jun 10 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 3.2.2-8
- Fix FTBFS due to F20UnversionedDocdirs (bug #1106267)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Kalev Lember <kalevlember@gmail.com> - 3.2.2-6
- Rebuilt for libgtop2 soname bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Jon Ciesla <limburgher@gmail.com> - 3.2.2-4
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Deji Akingunola <dakingun@gmail.com> - 3.2.2-1
- Update to 3.2.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 3.1.3-2
- Rebuild for new libpng

* Mon Jun 13 2011 Deji Akingunola <dakingun@gmail.com> - 3.1.3-1
- Update to 3.1.3

* Fri Mar 11 2011 Deji Akingunola <dakingun@gmail.com> - 3.1.2-1
- Update to 3.1.2

* Thu Mar 03 2011 Deji Akingunola <dakingun@gmail.com> - 3.1.1-1
- Update to 3.1.1

* Mon Jan 10 2011 Deji Akingunola <dakingun@gmail.com> - 3.0.6-1
- Update to 3.0.6

* Wed Dec 22 2010 Deji Akingunola <dakingun@gmail.com> - 3.0.3-1
- Update to 3.0.3

* Tue Jun 15 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.3-1
- Update to 2.30.3

* Thu Apr 15 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.2-1
- Update to 2.30.2, fixes nautilus crashes (bz #581188)

* Sun Apr 11 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.1-1
- Update to 2.30.1

* Sun Mar 28 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.0-2
- NA libs are all private, and should be in the main package

* Fri Mar 26 2010 Deji Akingunola <dakingun@gmail.com> - 2.30.0-1
- Update to 2.30.0

* Fri Jan 29 2010 Deji Akingunola <dakingun@gmail.com> - 2.29.4-1
- Update to 2.29.4

* Mon Nov 09 2009 Deji Akingunola <dakingun@gmail.com> - 1.12.3-1
- Update to 1.12.3 to fix crash while exporting profile (Bug #533009)

* Mon Nov 02 2009 Deji Akingunola <dakingun@gmail.com> - 1.12.2-1
- Update to 1.12.2

* Wed Aug 12 2009 Deji Akingunola <dakingun@gmail.com> - 1.12.0-1
- Update to 1.12.0

* Tue Aug 04 2009 Deji Akingunola <dakingun@gmail.com> - 1.11.2-1
- Update to 1.11.2

* Tue Aug 04 2009 Deji Akingunola <dakingun@gmail.com> - 1.10.1-3
- Change e2fsprog-devel BR to libuuid-devel

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 29 2009 Deji Akingunola <dakingun@gmail.com> - 1.10.1-1
- Update to version 1.10.1

* Sat May 09 2009 Deji Akingunola <dakingun@gmail.com> - 1.9-0.5.svn20090508
- Update to a svn snapshot with translations build fix
- Apply patch to call gnome_vfs_init (fix Fedora bug #499944)
- Clean up spec of old crufts

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-0.4.svn20081020
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Deji Akingunola <dakingun@gmail.com> - 1.9-0.3.svn20081020
- Update to a svn snapshot to fix bug #450988

* Sat May 17 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-4
- Fix the nautilus-extension directory

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 1.4.1-3
- Rebuild for gcc43

* Wed Aug 22 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- Update the Source url
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-2
- License tag update

* Thu May 03 2007 Deji Akingunola <dakingun@gmail.com> - 1.4.1-1
- New (bug-fix) release

* Wed Sep 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-4
- Fix issue with nautilus-action-config, bug #205967

* Mon Aug 28 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-3
- Rebuild for FC6

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-2
- Requires nautilus-devel instead of just nautilus to build

* Tue Aug 22 2006 Deji Akingunola <dakingun@gmail.com> - 1.4-1
- Update to version 1.4

* Tue May 30 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-2
- Add gettext and perl(XML::Parser) to BRs

* Mon May 01 2006 Deji Akingunola <dakingun@gmail.com> - 1.2-1
- Update to version 1.2
- Make sure fix for upgrade from ver. < 1.0 doesn't throw up errors

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-2
- Rebuild for Fedora Extras 5

* Wed Feb 8 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-1
- New upstream version
- Do away with gconf schemas installation

* Mon Jan 2 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-6
- Add nautilus extensions dir to configure arguments

* Sun Jan 1 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-5
- Remove libXdmcp-devel as BR, nautilus now takkes care of it

* Sun Dec 18 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-4
- Remove libSM-devel from build require as libgnomeui now build-requires
- Add libXdmcp-devel to the build requires

* Tue Nov 29 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-2
- Remove unnecesary configure options
- Clean-up the desktop file installation
- Add e2fsprogs-devel buildrequire and remove explicit require on nautilus

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-1
- initial Extras release
